bug-ddd
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: DDD does not compile under gcc 3.0 [pre-release]


From: Andreas Zeller
Subject: Re: DDD does not compile under gcc 3.0 [pre-release]
Date: 30 Mar 2001 16:24:17 +0200
User-agent: Gnus/5.0808 (Gnus v5.8.8) XEmacs/21.1 (Cuyahoga Valley)

Hi!

Patrice Belleville <address@hidden> writes:

>       I tried  making  DDD  3.3  using gcc 3.0  [pre-release],   and the
> compilation dies while trying to  compile strclass.C. From the comments at
> the top  of strclass.C and strclass.h, it  appears that these  are patched
> versions of the string  class in some earlier  (v2?) release of g++.  I am
> guessing that  some of the  code relies   on the implementation  of  other
> headers in that same version of the C++  library, and that it doesn't like
> the newer  versions. Has anyone (1)  had the same  problem and (2) patched
> strclass.[hC] so  they will  behave  with gcc/g++  3.0? Thanks,

Today, I have made a couple of minor fixes (notably, to `strclass.C')
such that DDD compiles properly using GCC 3.0 20010326 (prerelease).

However, there is a bug in GCC 3.0 20010326 (which I have just
reported), which makes you run into duplicate template instantiations
when compiling with optimization on i686-pc-linux-gnu.  The DDD
`PROBLEMS' file lists a workaround for this bug.  Note that GCC 3.0
prerelease still may have other bugs.

You can download the latest DDD today from the CVS repository (via the
DDD homepage), or wait for the next DDD release (probably DDD 3.3.1 or so).

Best wishes,

Andreas

-- 
Andreas Zeller     Universitaet Passau
                   http://www.fmi.uni-passau.de/st/staff/zeller/



reply via email to

[Prev in Thread] Current Thread [Next in Thread]